Item Logo
Wms apiApi referenceInbound api

RN Import

RN Import API

This article introduces the general RN (Receive Notice) Import API use case for easily understanding and applying this API.

Introduction

The RN Import API facilities the automated integration of receipt notice into the WMS from external systems. Its purpose is to streamline the inbound goods process by allowing the WMS to receive advanced shipment notifications (ASN) or receipt data, updating inventory records and managing the flow of goods in real-time.

The key functions of the RN Import API are: 1. Automated Data Input: Imports shipment or receipt data into the WMS, eliminating the need for manual entry. 2. Inventory Updates: As goods are received, the API automatically updates inventory levels within the system. 3. Shipment Tracking: Enhance tracking capabilities by synchronizing receipt data with the WMS for improved accuracy in warehouse operations.

API Request

API: POST /edi/inbound/receipt Body Request:

Main Fields


FieldName

Description

DataType

Length

Required

Version

Sample

Root








1

CompanyID

Hard code, assigned by UNIS system admin.

string

15

Yes

1.2

"LT"

2

CustomerID

Hard code, assigned by UNIS accounting dept.

string

15

Yes

1.2

"AUKINT0001"

3

FacilityID


string

15

yes

1.2

"889"

4

ASNContent







5

TitleID

TitleID which setup under Customer

string


no

1.3

""

ASNContent Fields


FieldName

Description

DataType

Length

Required

Version

Sample

Root








4.1

ReceiptType

Receipt Type

string

50

no

1.3.1

Default is "Regular Receipt" when it is empty<br /><br />Available value:<br />"Regular Receipt", <br />"Title Transfer Receipt", <br />"Migo Transfer Receipt", <br />"Sales Return", <br />"Transload"<br />"Assembly"

4.3

SupplierID

A party that supplies goods. If you did not set multiple suppliers with UNIS, you can ignore this field.

string

15



"AUKINT0001"

4.4

PONo

Inbound Purchase Order Number, which is a uniquely identifies a purchase order and is generally defined by the buyer.

string

50

yes


"62007331"

4.5

ReferenceNo

Unique identifier, indicate an order.

string

50



"007690"

4.6

BOLNo

The bill of lading (BOL) works as a receipt of freight services, a contract between a freight carrier and shipper and a document of title.

string

50




4.7

ContainerNo

Container Number

string

50



"MEDU7701854"

4.8

Seals

Container Seals

string

50



"FJ09227242"

4.9

CarrierName

Carrier Name, it is required if SCACCode is empty

string

15



"BESTOCEAN"

4.10

SCACCode

It is a privately controlled US code used to identify vessel operating common carriers (VOCC). It is typically two to four letters long.

string

15



"UULN"

4.11

ScheduledDate

Estimated time of arrival

datetime




"5/18/2020 12:00:00 AM"

4.12

ShippingInstruction

Shipping Instruction

string

1000




4.13

DynTxtPropertyValue01

Customized field 01

string

100




4.14

DynTxtPropertyValue02

Customized field 02

string

100




4.15

DynTxtPropertyValue03

Customized field 03

string

100




4.16

DynTxtPropertyValue04

Customized field 04

string

100




4.17

DynTxtPropertyValue05

Customized field 05

string

100




4.18

DynTxtPropertyValue06

Customized field 06

string

100




4.19

DynTxtPropertyValue07

Customized field 07

string

100




4.20

DynTxtPropertyValue08

Customized field 08

string

100




4.21

DynTxtPropertyValue09

Customized field 09

string

100




4.22

DynTxtPropertyValue10

Customized field 10

string

100




4.23

DynTxtPropertyValue11

Customized field 11

string

100




4.24

DynTxtPropertyValue12

Customized field 12

string

100




4.25

DynTxtPropertyValue13

Customized field 13

string

100




4.26

DynTxtPropertyValue14

Customized field 14

string

100




4.27

DynTxtPropertyValue15

Customized field 15

string

100




4.28

DynTxtPropertyValue16

Customized field 16

string

100




4.29

DynTxtPropertyValue17

Customized field 17

string

100




4.30

DynTxtPropertyValue18

Customized field 18

string

100




4.31

DynTxtPropertyValue19

Customized field 19

string

100




4.32

DynTxtPropertyValue20

Customized field 20

string

100




4.33

ActionCode

Indicates whether you want to create a new order or cancel an order. Supported Value: Hardcode "Imported" -- to create a new order or update an existing order which status is Imported; Hardcode "Cancelled" -- to Cancel an existing order which status is Imported. If the order status is not imported, you will receive an error message and will need to contact operation CSR to help cancel in WISE internal portal.

string

15




4.34

ETD

The estimated time of departure is the projection of time that is expected for a transport system to depart its point of origin/location.

string

50



"5/22/2020 12:00:00 AM"

4.35

Items


object





4.36

Cartons

Provide Carton Level information, only when you want UNIS operation team to receive by particular CartonNo.

object





4.37

Status

Indicates to create a new order.<br/><br/>Supported Value<br/>"Imported":<br /> to create a new order or update an existing order which status is Imported or Open;

string

20

Yes

1.3.1

Imported

Items Fields


FieldName

Description

DataType

Length

Required

Sample

Root







4.35.1

POLineNo

You can pass in a sequance number for each ItemLine, it will be returned on the RC(Receiving Confirmation) file. Or you can leave it empty.

int



4.35.2

ItemNumber

Product Item Name, it is your unique Item SKU#.

string

30

Yes

"CA-H510B-W1"

4.35.3

ExpectedQty

Expeted Qty to receive.

string


Yes

"917.000000"

4.35.4

LotNo

A lot number is an identification number assigned to a particular quantity or lot of material from a single manufacturer. It is used for FIFO, if you don't have it, just leave it empty.

string

30


4.35.5

Pallets

Expected pallet quantity to receive

decimal

5,2



4.35.6

ItemNotes

Item Notes

string

1000



4.35.7

UOM

Unit of Measurement Supported Value: EA = Units/Each CS= Case

string

15

Yes


4.35.8

DynTxtPropertyValue01

Customized field 01

string

200



4.35.9

DynTxtPropertyValue02

Customized field 02

string

200



4.35.10

DynTxtPropertyValue03

Customized field 03

string

200



4.35.11

DynTxtPropertyValue04

Customized field 04

string

200



4.35.12

DynTxtPropertyValue05

Customized field 05

string

200



4.35.13

DynTxtPropertyValue06

Customized field 06

string

200



4.35.14

DynTxtPropertyValue07

Customized field 07

string

200



4.35.15

DynTxtPropertyValue08

Customized field 08

string

200



4.35.16

DynTxtPropertyValue09

Customized field 09

string

200



4.35.17

DynTxtPropertyValue10

Customized field 10

string

200



4.35.18

DynTxtPropertyValue11

Customized field 11

string

200



4.35.19

DynTxtPropertyValue12

Customized field 12

string

200



4.35.20

DynTxtPropertyValue13

Customized field 13

string

200



4.35.21

DynTxtPropertyValue14

Customized field 14

string

200



4.35.22

DynTxtPropertyValue15

Customized field 15

string

200



4.35.23

DynTxtPropertyValue16

Customized field 16

string

200



4.35.24

DynTxtPropertyValue17

Customized field 17

string

200



4.35.25

DynTxtPropertyValue18

Customized field 18

string

200



4.35.26

DynTxtPropertyValue19

Customized field 19

string

200



4.35.27

DynTxtPropertyValue20

Customized field 20

string

200



4.35.28

Receiving Priority

Supported Value: 1-100 100 is the highest priority level.

string

50



4.35.29

GoodsType

Goods type which defined by customer

string

10

No


4.35.30

TitleID

TitleID which setup under Customer

string


No


Cartons Fields


FieldName

DataType

Length

Root




4.36.1

CartonNo

string

50

4.36.2

PoundPerCarton



4.36.3

ItemLines

object


ItemLines Fields


FieldName

Description

DataType

Length

Root





4.36.3.1

ItemID

Product Item Name, it is your unique Item SKU#.

string

50

4.36.3.2

LotNo

A lot number is an identification number assigned to a particular quantity or lot of material from a single manufacturer.

string

50

4.36.3.3

QtyInCarton

EA Quantity per Carton

string


4.36.3.4

UOM

Unit of Measurement Supported Value: EA = Units/Each CS= Case

string

15

4.36.3.5

DynTxtPropertyValue01

Customized field 01

string

200

4.36.3.6

DynTxtPropertyValue02

Customized field 02

string

200

4.36.3.7

DynTxtPropertyValue03

Customized field 03

string

200

4.36.3.8

DynTxtPropertyValue04

Customized field 04

string

200

4.36.3.9

DynTxtPropertyValue05

Customized field 05

string

200

4.36.3.10

DynTxtPropertyValue06

Customized field 06

string

200

4.36.3.11

DynTxtPropertyValue07

Customized field 07

string

200

4.36.3.12

DynTxtPropertyValue08

Customized field 08

string

200

4.36.3.13

DynTxtPropertyValue09

Customized field 09

string

200

4.36.3.14

DynTxtPropertyValue10

Customized field 10

string

200

4.36.3.15

DynTxtPropertyValue11

Customized field 11

string

200

4.36.3.16

DynTxtPropertyValue12

Customized field 12

string

200

4.36.3.17

DynTxtPropertyValue13

Customized field 13

string

200

4.36.3.18

DynTxtPropertyValue14

Customized field 14

string

200

4.36.3.19

DynTxtPropertyValue15

Customized field 15

string

200

4.36.3.20

DynTxtPropertyValue16

Customized field 16

string

200

4.36.3.21

DynTxtPropertyValue17

Customized field 17

string

200

4.36.3.22

DynTxtPropertyValue18

Customized field 18

string

200

4.36.3.23

DynTxtPropertyValue19

Customized field 19

string

200

4.36.3.24

DynTxtPropertyValue20

Customized field 20

string

200

API Return

This section introduces the parameters which from RN import result.


FieldName

Description

DataType

Length

Version

Sample

Root







1

CustomerID

Hard code, assigned by UNIS accounting dept.

string

15

1.2

"AUKINT0001"

2

PONo

Inbound Purchase Order Number, which is a uniquely identifies a purchase order and is generally defined by the buyer.

string

50

1.2


3

ReferenceNo

Unique identifier, indicate an order.

string

50

1.2

"1209129"

4

WISEPOID

UNIS System (WISE) Receipt Number, unique in UNIS system.

string

50

1.2

"DN-94776"

5

Status

Result Status

string

30

1.2

"Warning"

6

Error

Error message

string

1000

1.2


Example

Request

```json // Url http://preview.logisticsteam.com/shared/bam/v1/public/edi/inbound/receipt

// Body { "CompanyID": "LT", "CustomerID": "AUKINT0001", "FacilityID": "889", "ASNContent": { "SupplierID": "AUKINT0001", "Title": null, "PONo": "62007331", "ReferenceNo": "007690", "BOLNo": "", "ContainerNo": "MEDU7701854", "Seals": "FJ09227242", "CarrierName": "BESTOCEAN", "SCACCode": "UULN", "ScheduledDate": "5/18/2020 12:00:00 AM", "ShippingInstruction": "", "DynTxtPropertyValue01": "", "DynTxtPropertyValue02": "", "DynTxtPropertyValue03": "", "DynTxtPropertyValue04": "", "DynTxtPropertyValue05": "", "DynTxtPropertyValue06": "", "DynTxtPropertyValue07": "", "DynTxtPropertyValue08": "", "DynTxtPropertyValue09": "", "DynTxtPropertyValue10": "", "DynTxtPropertyValue11": "", "DynTxtPropertyValue12": "", "DynTxtPropertyValue13": "", "DynTxtPropertyValue14": "", "DynTxtPropertyValue15": "", "DynTxtPropertyValue16": "", "DynTxtPropertyValue17": "", "DynTxtPropertyValue18": "", "DynTxtPropertyValue19": "", "DynTxtPropertyValue20": "", "Items": [ { "POLineNo": "1", "ItemNumber": "CA-H510B-W1", "ExpectedQty": "917.000000", "PalletSizeID": "", "Kitting": null, "KittingItems": null, "LotNo": "", "UOM": "", "Pallets": "29", "ItemNotes": "", "DynTxtPropertyValue01": "", "DynTxtPropertyValue02": "", "DynTxtPropertyValue03": "", "DynTxtPropertyValue04": "", "DynTxtPropertyValue05": "", "DynTxtPropertyValue06": "", "DynTxtPropertyValue07": "EA", "DynTxtPropertyValue08": "", "DynTxtPropertyValue09": "", "DynTxtPropertyValue10": "", "DynTxtPropertyValue11": "", "DynTxtPropertyValue12": "", "DynTxtPropertyValue13": "", "DynTxtPropertyValue14": "", "DynTxtPropertyValue15": "", "DynTxtPropertyValue16": "", "DynTxtPropertyValue17": "", "DynTxtPropertyValue18": "", "DynTxtPropertyValue19": "", "DynTxtPropertyValue20": "", "ReceivingPriority": "" } ], "Cartons": [], "Status": "Imported", "Source": "EDI", "ActionCode": "", "ETD": "5/22/2020 12:00:00 AM" } } ```

Response

json // Success return { "Receipt": { "CustomerID": "AUKINT0001", "PONo": "11874942", "ReferenceNo": [], "WISEPOID": "RN-6428", "Status": "Success", "Error": [] } } ```

json // Failed return [ { "code": "EDI-ERROR-SupplierID is required", "error": "SupplierID is required" } ]